# RORB Annotations from Forrest (at SfN 2017)

This is the README that JLP made to keep track of what things are what. 

## Files

- m247514_Site3Annotation_MN_global.json

JSON file (all on one line)
If in vim ":%!python3 -m json.tool" works to format nicely. 

The `global` coordinates correspond to the location of the annotation in
the global location space in the BOSS according to the EM layer. 

You have to transform them accordingly to match up in the AT layers by
doing the required math form the resolutions. 


- MakeSynaptogramsFromAnnotations.ipynb

A jupyter notebook with Forrest's code using openCV for plotting the
polygons. 

- Site3Synaptograms_edit.csv

A csv file with META information about each location and comments from
Forrest.  This file also contains the GABA labels that match up to the
ID in the JSON file. 


The whole dataset comes with some problems.  It has negative coordinates
in `render` so when we ingest it into the BOSS we have to offset
everything. These offsets are recorded in the BOSS metadata for each
experiment. 


## Github links

- [Here is where I have all of my code related to this data.](https://github.com/neurodata/synaptome-stats/tree/gh-pages/rorb/ForrestAnnotationAndCode)

- [Jupyter notebook for getting pseudo-centroids from polygons](https://github.com/neurodata/synaptome-stats/blob/gh-pages/rorb/ForrestAnnotationAndCode/get_polygon_annotations.ipynb)


